-- ****************************************************
-- *                                                  *
-- *  Time_Keeper                                     * SPEC
-- *                                                  *
-- ****************************************************
package Time_Keeper is
--| Purpose
--| This package provides the current day and date as a string.
--|
--| Modifications
--| Author:  Geoff Mendal, Stanford University (original work in CS Parts)
--| Modified by Rick Conn for SCATKIT

  --*****************************************************
  --*                                                   *
  --* Time_Keeper.Current_Day_and_Date                  *
  --*                                                   *
  --*****************************************************
  function Current_Day_and_Date return STRING;
  --| Purpose
  --| Value takes the current CALENDAR.TIME representation
  --| and returns an external representation. The external representation
  --| has the following format:
  --|   Day as a string
  --|   Comma and space
  --|   Day as a number
  --|   Space
  --|   Month as a string
  --|   Space
  --|   Year number
  --|
  --|  Example string returned:
  --|    "Thursday, 9 August 1984"
  --|
  --| Exceptions (none)

end Time_Keeper;
