#!/bin/ksh
# SCATC_Get_Architecture - copy Architecture files into current directory
if [ -z "$1" ]
then
  echo Syntax: SCATC_Get_Architecture Architecture_Name
  echo where Architecture_Name is the name of a generic architecture in
  echo SCATC Kit, such as:
  echo "  " Ada83
  echo Example: SCATC_Get_Architecture Ada83
  echo Available architectures:
  ls /usr/local/Reuse_Tapestry/SCATCDSK/arch

else
  if [ -a $1 ]
  then
    rm -f $1*
    echo Old Architecture Removed
  fi

  if [ -a /usr/local/Reuse_Tapestry/SCATCDSK/arch/$1 ]
  then
    cp /usr/local/Reuse_Tapestry/SCATCDSK/arch/$1/* .
    echo Generic Architecture $1 now in your current directory:
    ls -l
  else
    echo Architecture $1 is not a valid architecture name ... try again
  fi

fi
